Bug 1315565 - (CVE-2016-1978) CVE-2016-1978 nss: Use-after-free in NSS during SSL connections in low memory (MFSA 2016-15)
CVE-2016-1978 nss: Use-after-free in NSS during SSL connections in low memory...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160308,repor...
: Security
Depends On: 1316003 1323648 1323649 1323650 1323651 1323652
Blocks: 1310521
  Show dependency treegraph
 
Reported: 2016-03-08 00:44 EST by Huzaifa S. Sidhpurwala
Modified: 2016-04-25 08:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A use-after-free flaw was found in the way NSS handled DHE (Diffie–Hellman key exchange) and ECDHE (Elliptic Curve Diffie-Hellman key exchange) handshake messages. A remote attacker could send a specially crafted handshake message that, when parsed by an application linked against NSS, would cause that application to crash or, under certain special conditions, execute arbitrary code using the permissions of the user running the application.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-03-08 00:44:23 EST
Mozilla developer Eric Rescorla reported that a failed allocation during DHE and ECDHE handshakes would lead to a use-after-free vulnerability. 

External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-15.html
Comment 1 Huzaifa S. Sidhpurwala 2016-03-08 00:44:33 EST
Acknowledgments:

Name: the Mozilla project
Upstream: Eric Rescorla
Comment 2 Huzaifa S. Sidhpurwala 2016-03-09 03:43:44 EST
Created nss tracking bugs for this issue:

Affects: fedora-all [bug 1316003]
Comment 4 errata-xmlrpc 2016-04-05 07:20:08 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0591 https://rhn.redhat.com/errata/RHSA-2016-0591.html
Comment 5 errata-xmlrpc 2016-04-25 07:58:30 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0685 https://rhn.redhat.com/errata/RHSA-2016-0685.html
Comment 6 errata-xmlrpc 2016-04-25 08:15:12 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0684 https://rhn.redhat.com/errata/RHSA-2016-0684.html

Note You need to log in before you can comment on or make changes to this bug.